realpath_cache_size
rename
Filesystem Functions
PHP Manual

# realpath

(PHP 4, PHP 5)

realpath — Returns canonicalized absolute pathname

### Description

string realpath ( string `$path` )

realpath() expands all symbolic links and resolves references to '/./', '/../' and extra '/' characters in the input `path` and return the canonicalized absolute pathname.

### Parameters

`path`

  The path being checked.

### Return Values

Returns the canonicalized absolute pathname on success. The resulting path will have no symbolic link, '/./' or '/../' components.

realpath() returns `FALSE` on failure, e.g. if the file does not exist.

> Note: The running script must have executable permissions on all directories in the hierarchy, otherwise realpath() will return `FALSE`.

### Changelog

Version | Description
--- | ---
5.3.0 | Prior to this release realpath() would not fail on *BSD systems if only the last last `path` component did not exist.

### Examples

Example #1 realpath() example

`<?php
chdir('/var/www/');
echo realpath('./../../etc/passwd');
?>`

The above example will output:

    /etc/passwd

Example #2 realpath() on Windows

On windows realpath() will change unix style paths to windows style.

`<?php
echo realpath('/windows/system32');
?>`

The above example will output:

    C:\WINDOWS\System32

### See Also

- basename() - Returns filename component of path
- dirname() - Returns directory name component of path
- pathinfo() - Returns information about a file path

realpath_cache_size
rename
Filesystem Functions
PHP Manual